
QGIS Application - Bug report #10211

Styling - changing SVG fills causing crash dump and exit

2014-05-08 03:00 AM - Christopher Wesson

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 18656

Description

In 2.2.0 I can load in custom SVG by placing a folder of them in C:\\Program Files\\QGIS Valmiera\\apps\\qgis\\svg. For example for

vegetation fill patterns. But once trying to use them in Layer Properties, the software crashes either immediately upon selection, or when

selecting another feature to style afterwards or upon OKaying the Layer Properties window.

I can work with these same custom SVGs (saved in the equivalent filepath) with complete success in 2.0.1.

If I set up the styling in 2.0.1 and then reopen in 2.2.0 it will read and display everything fine. However if I then try to change any of the SVG

fills, even for any of the default ones, I once again get an immediate crash dump error and the software closes.

Please find one of my SVG files attached (for testing purposes only). I am working with them between 1:1000 and 1:15000 scale and I set

the SVG texture width to 400 map units (I'm working in British National Grid, so these map units are meters).

I've also attached one of the dump files.

History

#1 - 2014-05-08 03:01 AM - Christopher Wesson

Dump file would not attach?

#2 - 2014-05-08 06:45 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Affected QGIS version changed from 2.2.0 to master

- Target version set to Version 2.4

- Priority changed from High to Severe/Regression

- Category set to Symbology

I can confirm the issue on both 2.2 and master, and confirm also that 2.1 is not affected and then that is a regression.

Tested on Windows.

#3 - 2014-05-15 05:04 AM - Tobias Schneider

I tried on Ubuntu 14.04 64bit. Works fine with the current daily build (2.3).

#4 - 2014-06-09 01:12 AM - Martin Dobias
I cannot replicate on Linux/64bit

#5 - 2014-06-09 01:27 AM - Martin Dobias

Maybe the same problem as #10271 and #9826 ?

#6 - 2014-06-09 02:55 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Martin Dobias wrote:

Maybe the same problem as #10271 and #9826 ?

it is anyway gone in master.

Files

fillConiferousTreesAndScrub-fc.svg 78.3 KB 2014-05-08 Christopher Wesson
